## python-pysol-cards 0.16.0

=== requirements.txt ===
random2
six

=== debian/changelog ===
python-pysol-cards (0.16.0-3) unstable; urgency=medium

  * Patch-out usage of python3-random2 and python3-six

 -- Alexandre Detiste <tchet@debian.org>  Sat, 14 Sep 2024 17:57:00 +0200

python-pysol-cards (0.16.0-2) unstable; urgency=medium

  * Source-only uplaod to allow migration.

 -- Alexandre Detiste <tchet@debian.org>  Tue, 30 Jul 2024 23:42:12 +0200

python-pysol-cards (0.16.0-1) unstable; urgency=medium

  * Initial release (Closes: #953574)

 -- Alexandre Detiste <tchet@debian.org>  Sun, 21 Jul 2024 12:55:24 +0200

=== debian/control ===
Source: python-pysol-cards
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Juhani Numminen <juhaninumminen0@gmail.com>,
           Alexandre Detiste <tchet@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all,
               python3-setuptools,
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: https://github.com/shlomif/pysol_cards
Vcs-Git: https://salsa.debian.org/python-team/packages/python-pysol-cards.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pysol-cards

Package: python3-pysol-cards
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Deal PySol FC Cards
 The pysol-cards Python modules allow the Python developer to generate the
 initial deals of some PySol FC games. It also supports PySol legacy deals
 and Microsoft FreeCell / Freecell Pro deals.

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME=pysol-cards

%:
	dh $@ --buildsystem=pybuild

# The autogenerated ChangeLog file mostly contains short commit messages
override_dh_installchangelogs:
	dh_installchangelogs -XChangeLog

=== debian/watch ===
version=4
https://pypi.debian.net/pysol-cards/pysol_cards@ANY_VERSION@@ARCHIVE_EXT@

## python-pysol-cards 0.18.0

=== debian/changelog ===
python-pysol-cards (0.18.0-1) unstable; urgency=medium

  * New upstream version 0.18.0
  * Add debian/salsa-ci.yml
  * Drop "Rules-Requires-Root: no": it is the default now
  * Bump Standards-Version to 4.7.3, drop Priority: tag
  * Enable tests

 -- Alexandre Detiste <tchet@debian.org>  Fri, 09 Jan 2026 21:34:24 +0100

=== debian/control ===
Source: python-pysol-cards
Section: python
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Juhani Numminen <juhaninumminen0@gmail.com>,
 Alexandre Detiste <tchet@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-pytest <!nocheck>,
 python3-setuptools,
Testsuite: autopkgtest-pkg-pybuild
Standards-Version: 4.7.3
Homepage: https://github.com/shlomif/pysol_cards
Vcs-Git: https://salsa.debian.org/python-team/packages/python-pysol-cards.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pysol-cards

Package: python3-pysol-cards
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Deal PySol FC Cards
 The pysol-cards Python modules allow the Python developer to generate the
 initial deals of some PySol FC games. It also supports PySol legacy deals
 and Microsoft FreeCell / Freecell Pro deals.

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,7 @@
 #!/usr/bin/make -f
+
 export PYBUILD_NAME=pysol-cards
+export PYBUILD_TEST_ARGS=tests/test_pysol_cards.py
 
 %:
 	dh $@ --buildsystem=pybuild
